From 5118d459b01ab25ab65f786d31d5d551b5c61921 Mon Sep 17 00:00:00 2001
From: Alison Wang <alison.wang@nxp.com>
Date: Mon, 24 Oct 2022 11:29:15 +0800
Subject: [PATCH 115/136] ethosu: Fix memcpy overflow issue

The wrong structure name causes memory overflow issue, this patch fixes
it.

Signed-off-by: Alison Wang <alison.wang@nxp.com>
Reviewed-by: Peng Fan <peng.fan@nxp.com>
Upstream-Status: Pending
---
 drivers/staging/ethosu/ethosu_rpmsg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/staging/ethosu/ethosu_rpmsg.c b/drivers/staging/ethosu/ethosu_rpmsg.c
index e67203455f07..351a1046e65e 100644
--- a/drivers/staging/ethosu/ethosu_rpmsg.c
+++ b/drivers/staging/ethosu/ethosu_rpmsg.c
@@ -306,7 +306,7 @@ int ethosu_rpmsg_cancel_inference(struct ethosu_rpmsg *erp,
 	struct ethosu_core_cancel_inference_req req;
 	struct rpmsg_device *rpdev = erp->rpdev;
 	u8 data[sizeof(struct ethosu_core_msg) +
-		sizeof(struct ethosu_core_capabilities_req)];
+		sizeof(struct ethosu_core_cancel_inference_req)];
 	int ret;
 
 	req.user_arg = rpmsg->id;
-- 
2.25.1

